# Permanent Tokenization

## Token Schemes

Schemes in Firstoken are used to facilitate the acceptance of multiple types of data to meet the needs of each business. The scheme defines the format of the returned token and allows its existing business logic to remain intact. Token Schemes can be either multi-use or single-use. With a multi-use token scheme, the relationship between the token and input data has a one-to-one (1:1) mapping. In other words, if you send the same input data multiple times, you'll always be returned the same token value. In contrast, with a single-use (1:Many) token scheme, you would receive a new token value every time you tokenize the same data.

<table><thead><tr><th width="222.33333333333331">Token Scheme Value</th><th width="111">Code</th><th>Description</th></tr></thead><tbody><tr><td><p>sixTOKENfour</p><p>(1: Many)</p></td><td>1</td><td>This format will return a numeric token retaining the original first 6 and last 4 digits of the card number.</td></tr><tr><td><p>sixANTOKENfour</p><p>(1: Many)</p></td><td>3</td><td>This format will return an alphanumeric token retaining the original last 4 digits of the card number.</td></tr><tr><td><p>UUID</p><p>(1: Many)</p></td><td>7</td><td>This format will return a GUID v4 as token.</td></tr><tr><td>LuhnValid<br>(1:Many)</td><td>8</td><td>This format will return the first six and the last four digits and random digits characters in between, but the token will be a Luhn valid token algorithm.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/permanent-tokenization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
